as(1)

NAZWA
GNU as - przenośny asembler GNU

SKŁADNIA
as [-a[dhlns] [=file ]] [-D] [--defsym SYM=VAL] [-f] [-I path ] [-K] [-L] [-M | --mri] [-o objfile ] [-R] [-v] [-w] [-- | files ...]

opcje i960:
[-ACA|-ACA_A|-ACB |-ACC|-AKA|-AKB |-AKC|-AMC] [-b] [-no-relax]

opcje m680x0:
[-l] [-mc68000|-mc68010|-mc68020]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

GNU as jest tak naprawdę rodziną asemblerów. Jeśli używasz (używałeś) asemblera GNU na danej architekturze, powinieneś znaleźć całkiem podobne środowisko na innej architekturze. Każda wersja ma wiele wspólnego z innymi, właczając w to format plików obiektowych, większość dyrektyw asemblera i składnię asemblera.

Dla informacji o dyrektywach używanych przez GNU as , zobacz wpis `as ' w info (lub podręczniku Using as: The GNU Assembler).

as ma przede wszystkim na celu asemblowanie produktów kompilatora GNU C Compiler gcc dla użytku linkera ld . Mimo to, próbowaliśmy sprawić, by as asemblował poprawnie wszystko, co natywny asembler asemblować powinien. Nie znaczy to, że as będzie zawsze używał takiej samej składni, jak inne asemblery tej samej architektury; na przykład znamy wiele niekompatybilnych wersji składni asemblera 680x0.

Za każdym razem, gdy uruchamiasz as asembluje on dokładnie jeden program źródłowy. Program źródłowy złożony jest z jednego, lub więcej plików. (Standardowe wejście jest także plikiem.)

Jeśli as nie otrzyma żadnej nazwy pliku, próbuje czytać dane ze standardowego wejścia, które jest zwykle twoim terminalem. Będziesz musiał wcisnąć ctl-D aby powiedzieć asemblerowi as że nie ma już nic do asemblowania Użyj `-- ' jeśli potrzebujesz wyjątkowo nazwać standardowe wejście w swojej linii komend.

as może wypisywać ostrzeżenia i informacje o błędach do pliku standardowego błędu (zwykle twój terminal). Nie powinno się tak dziać, kiedy as jest uruchamiany automatycznie przez kompilator. Ostrzeżenia informują o próbach, po których as potrafi jeszcze asemblować program; błędy informuja o ciężkim problemie, który przerywa asemblację.

OPCJE

-a  Włącz listingi asemblerowe. Jest wiele podopcji. d opuszcza dyrektywy debuggujące. h włącza wysokopoziomowy kod źródłowy; jest to dostępne tylko jeśli plik źródłowy można znaleźć, a kod był skompilowany z opcją -g. l włącza listing asemblerowy. n opuszcza przetwarzanie form. (? omits forms processing) s włącza listing symboli. = file ustawia nazwę pliku z listingiem; musi to być ostatnia podopcja. Domyślnymi podopcjami są hls.

-D  Ta opcja jest przyjmowana tylko dla kompatybilności skryptowej z wywołaniami innych asemblerów; nie ma żadnego wpływu na as .

--defsym SYM=VALUE
    Definiuje symbol SYM na wartość VALUE przed asemblacją pliku wejściowego. VALUE musi być stałą liczbową. Podobnie jak w C, przedrostek 0x wskazuje na wartość szesnastkową, poprzedzające 0 wartość ósemkową.

-f  ``szybko''--pomiń preprocesowanie (załóż, że źródło jest produktem kompilatora).

-I path
    Dodaj path do listy przeszukiwanej dla dyrektyw .include

-K  Wyświetlaj ostrzeżenia, jeśli tabele różnic zmieniły dla długich skoków. (? Issue warnings when difference tables altered for long displacements.)

-L

    Zachowaj (w tablicy symboli) symbole lokalne zaczynające się od `L '

-M, --mri
    ASembluj w trybie kompatybilności MRI.

-o objfile
    Nazwij plik obiektowy, produkt as

-R  Załóż sekcję danych na sekcję tekstu (? Fold data section into text section)

-v  Wyświetl wersję as

-W  Zaniechaj komunikatów ostrzegawczych

-- | files...
    Pliki źródłowe do asemblacji, lub standardowe wejście (--)

-Avar
    (Gdy skonfigurowane dla Intela 960.) Podaj, który wariant architektury 960 jest celem.

-b  (Gdy skonfigurowane dla Intela 960.) Dodaj kod do zebrania statystyk o pobranych gałęziach.

-no-relax
    (Gdy skonfigurowane dla Intela 960.) Nie zmieniaj instrukcji compare-and-branch dla długich skoków; (? Do not alter compare-and-branch instructions for long displacements) gdy to niezbędne, wyrzuć błąd.

-l  (Gdy skonfigurowane dla Motoroli 68000).
    Skróć referencje do niezdefiniowanych symboli do jednego słowa, zamist dwóch.

-mc68000|-mc68010|-mc68020
    (Gdy skonfigurowane dla Motoroli 68000).
    Podaj, jaki procesor rodziny 68000 jest celem (domyślnie 68020).

Opcje mogą być w dowolnym porządku i mogą być przed, za, lub pomiędzy nazwami plików. Kolejność nazw plików ma znaczenie.

`-- ' (dwa łączniki) oznaczają wyjątkowo plik standardowego wejścia jako jeden z plików przeznaczonych as do asemblacji.

Poza `-- ' każdy argument linii komend zaczyna się od łącznika (`- ') jest opcją. Każda opcja zmienia zachowanie as . Żadna z opcji nie zmienia sposobu działania innej opcji. Opcją jest `- ' po czym następuje jedna lub więcej liter; rozmiar liter jest istotny. Wszystkie opcje sa opcjonalne.

Opcja `-o ' oczekuje dokładnie jednej nazwy pliku za nią. Nazwa pliku może albo natychmiast podążać za literą opcji (kompatybilne ze starymi asemblerami), lub może być następnym argumentem komendowym (standard GNU).

Poniższe dwie linie są ekwiwalentne:
as -o my-object-file.o mumble.s
as -omy-object-file.o mumble.s

ZOBACZ TAKŻE
`as' opisany w info; Using as: The GNU Assembler; gcc(1), ld(1).

KOPIOWANIE
(Autor nie życzy sobie tłumaczenia tej noty bez zatwierdzenia FSF)

Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 as

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.